Subject: Re: [dispatch] Need guidance on how to progress draft-york-dispatch-p-charge-info

From: Mary Barnes <[email-masked]>
Date: Mon, 6 Jul 2015 12:39:36 -0500

Hi Dan et al,

In reviewing the documents/agenda requests put forth for IETF-93, we are
not yet able to dispatch this document.  Fundamentally, it comes back down
to the points Hadriel made in the last discussion of this document way back
in December, 2011 (in the SIPPING WG mailing list) to which I didn't see a
response (on SIPPING nor did I see the discussion switch over to DISPATCH):
https://www.ietf.org/mail-archive/web/sipping/current/msg17803.html

Also, in that thread of discussion, I didn't see comments from the "lots of
people" that are using this header - I saw some technical comments from
Paul K and Brett (I wasn't quite sure if those were yet fully addressed or
in which version doing a quick scan of the diffs).  So, is this just a
matter of documenting what a few vendors are doing and are there other
proprietary mechanisms out there for carrying the same information or is
this the defacto standard way such that there's value in having it document
in an IETF RFC?

Thanks,
Mary.

On Wed, Jun 10, 2015 at 2:06 PM, Dan York <[email-masked]> wrote:

>  DISPATCH participants,
>
>
>  I could use some help/guidance about how to move my
> now-seemingly-ancient P-Charge-Info draft forward. The draft is at:
>
>
>  https://tools.ietf.org/html/draft-york-dispatch-p-charge-info-05
>
>
>  Way back in 2008, I first submitted the draft to the SIPPING WG. My goal
> was simply to *document the existing usage* of the P-Charge-Info SIP header
> per the then-relevant RFC 3427 so that the header could be listed in the
> IANA registry of SIP parameters at:
>
>
>
> http://www.iana.org/assignments/sip-parameters/sip-parameters.xhtml#sip-parameters-2
>
>
>
>  My employer at the time, Voxeo, was (and still is) a strong user of the
> header and encouraged me to document it so that others could use the header
> within private networks.  As an IETF participant and SIP advocate, I
> personally wanted to document P-Charge-Info so that perhaps people could
> find it and use that header instead of creating yet another private
> header.  Tolga Asveren of Sonus Networks joined on very early in the
> process because Sonus was (and presumably still is) also actively using the
> header.  Lots of other people  chimed in along the way.
>
>
>  After an initial flurry of commentary and changes on the SIPPING list
> from 2008-2010, there's a longer story of why it took so long... there was
> the RFC 3427bis process which became RFC 5727... life and job changes...
> much more...
>
>
>  Anyway, at this point in 2015 I just want to move the document along and
> get it published so that the header can be registered and, quite honestly,
> so that I can stop renewing the document every 6 months.  Given that I
> still get inquiries about this header from time to time and that it is
> still being used, I feel a certain responsibility to just "get this done"
> rather than simply abandoning the draft.
>
>
>  From what I know, there are three ways I can move this forward to
> publication:
>
>
>  1. DISPATCH approval - this WG can approve the draft and send to the
> IESG; [1]
>
>
>  2. AD-SPONSORED - I can ask a friendly AD to help send this to the IESG;
>
>
>  3. INDIVIDUAL SUBMISSION - I can send this in to the independent stream
> editor.
>
>
>  Am I correct?  And if so, what would any of you suggest as the simplest
> path to checking this off as done?
>
>
>  Comments on the actual draft are of course also welcome, with the
> reminder that the aim of the draft was and is to document existing usage
> rather than to create a new header, etc.  (Because if it was to create a
> new header, the "P-" would be removed, etc.)
>
>
>  Thanks,
>
> Dan
>
>
>  [1] And yes, I do realize there is actually a 4th path which is that
> DISPATCH could "dispatch" this draft off to some other WG and I could then
> bring it through *that* WG. And if that's the best path I'm glad to do
> that, too... I just want to get this finished.
>
>
>
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>
>